%define name bluez-sdp
%define version 1.1
%define release 3mdk

%define major 2
%define libname %mklibname %name %major

Name: %{name}
Summary: Official Linux Bluetooth SDP libraries and utilities.
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://bluez.sourceforge.net
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libbluez-devel

%description
These are the official Bluetooth SDP libraries for Linux.

%package -n %{libname}
Summary: Official Linux Bluetooth SDP libraries.
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
These are the official Bluetooth SDP libraries for Linux.

%package -n %{libname}-devel
Summary: Headers for developing programs that will use %name.
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q -n %name-%{version}

%build
%configure
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir $RPM_BUILD_ROOT/%_includedir/bluetooth
mv $RPM_BUILD_ROOT/%_includedir/*.h $RPM_BUILD_ROOT/%_includedir/bluetooth/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/sdptool
%{_sbindir}/sdpd

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/bluetooth/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 1.1-3mdk
- mklibname

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 1.1-2mdk
- rebuild for new rpm

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 1.1-1mdk
- 1.1

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- new release

* Mon Jan 20 2003 Austin Acton <aacton@yorku.ca> 1.0rc3-1mdk
- initial package
